Subject: Re: [PATCH bpf-next 1/4] tools/resolve_btfids: Build libbpf and libsubcmd in separate directories

From: Jiri Olsa <[email-masked]>
Date: Wed, 10 Mar 2021 23:42:43 +0100

On Wed, Mar 10, 2021 at 11:27:19AM -0800, Andrii Nakryiko wrote:
> On Wed, Mar 10, 2021 at 9:35 AM Viktor Jägersküpper
> <[email-masked]> wrote:
> >
> > Hi,
> >
> > > Setting up separate build directories for libbpf and libpsubcmd,
> > > so it's separated from other objects and we don't get them mixed
> > > in the future.
> > >
> > > It also simplifies cleaning, which is now simple rm -rf.
> > >
> > > Also there's no need for FEATURE-DUMP.libbpf and bpf_helper_defs.h
> > > files in .gitignore anymore.
> > >
> > > Acked-by: Song Liu <[email-masked]>
> > > Signed-off-by: Jiri Olsa <[email-masked]>
> > > ---
> >
> > when I invoke 'git status' on the master branch of my local git repository
> > (cloned from stable/linux.git), which I have used to compile several kernels,
> > it lists two untracked files:
> >
> >         tools/bpf/resolve_btfids/FEATURE-DUMP.libbpf
> >         tools/bpf/resolve_btfids/bpf_helper_defs.h
> >
> > 'git status' doesn't complain about these files with v5.11, and I can't get rid
> > of them by 'make clean' with v5.11 or v5.12-rc1/rc2. So I used 'git bisect' and
> > found that this is caused by commit fc6b48f692f89cc48bfb7fd1aa65454dfe9b2d77,
> > which links to this thread.
> >
> > Looking at the diff it's obvious because of the change in the .gitignore file,
> > but I don't know why these files are there and I have never touched anything in
> > the 'tools' directory.
> >
> > Can I savely delete the files? Do I even have to delete them before I compile
> > v5.12-rcX?
> 
> yes, those were auto-generated files. You can safely remove them.

hm, I answered this email, but for some reason I can't see it on
lore.. FWIW, trying once more ;-)

hi,
yes, you can delete them, this patch moved libbpf and libsubcmd
into their own build directories, so those 2 files stayed there
from your last build without the patch

jirka